<?php
/**
 * Header Options
 *
 * @package Supreme News
 */

$wp_customize->add_section(
	'supreme_news_header_options',
	array(
		'panel' => 'supreme_news_theme_options',
		'title' => esc_html__( 'Header Options', 'supreme-news' ),
	)
);

// Header Section - Enable Topbar Section.
$wp_customize->add_setting(
	'supreme_news_enable_topbar_section',
	array(
		'default'           => true,
		'sanitize_callback' => 'supreme_news_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Supreme_News_Toggle_Switch_Custom_Control(
		$wp_customize,
		'supreme_news_enable_topbar_section',
		array(
			'label'    => esc_html__( 'Enable Topbar Section', 'supreme-news' ),
			'section'  => 'supreme_news_header_options',
			'settings' => 'supreme_news_enable_topbar_section',
		)
	)
);

// Header Options - Advertisement.
$wp_customize->add_setting(
	'supreme_news_header_advertisement',
	array(
		'default'           => '',
		'sanitize_callback' => 'supreme_news_sanitize_image',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize,
		'supreme_news_header_advertisement',
		array(
			'label'    => esc_html__( 'Advertisement', 'supreme-news' ),
			'section'  => 'supreme_news_header_options',
			'settings' => 'supreme_news_header_advertisement',
		)
	)
);

	// Header Options - Advertisement URL.
$wp_customize->add_setting(
	'supreme_news_header_advertisement_url',
	array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'supreme_news_header_advertisement_url',
	array(
		'label'    => esc_html__( 'Advertisement URL', 'supreme-news' ),
		'section'  => 'supreme_news_header_options',
		'settings' => 'supreme_news_header_advertisement_url',
		'type'     => 'url',
	)
);
